National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2014-3321 Detail

Current Description

Cisco IOS XR 4.3.4 and earlier on ASR 9000 devices, when bridge-group virtual interface (BVI) routing is enabled, allows remote attackers to cause a denial of service (chip and card hangs) via a series of crafted MPLS packets, aka Bug ID CSCuo91149.

Source:  MITRE
View Analysis Description

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 5.7 MEDIUM
Vector: (AV:A/AC:M/Au:N/C:N/I:N/A:C) (V2 legend)
Impact Subscore: 6.9
Exploitability Subscore: 5.5


Access Vector (AV): Local_Network
Access Complexity (AC): Medium
Authentication (AU): None
Confidentiality (C): None
Integrity (I): None
Availability (A): Complete
Additional Information:
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://tools.cisco.com/security/center/content/CiscoSecurityNotice/CVE-2014-3321 Vendor Advisory
http://tools.cisco.com/security/center/viewAlert.x?alertId=34936 Vendor Advisory
http://www.securitytracker.com/id/1030597 Third Party Advisory VDB Entry

Technical Details

Vulnerability Type (View All)

  • Improper Input Validation (CWE-20)

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
AND
OR
 cpe:2.3:o:cisco:ios_xr:4.3.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:cisco:ios_xr:4.3.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:cisco:ios_xr:4.3.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:cisco:ios_xr:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (including)
4.3.4
OR
 cpe:2.3:h:cisco:asr_9000_rsp440_router:-:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:h:cisco:asr_9001:-:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:h:cisco:asr_9006:-:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:h:cisco:asr_9010:-:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:h:cisco:asr_9904:-:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:h:cisco:asr_9912:-:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:h:cisco:asr_9922:-:*:*:*:*:*:*:*
     Show Matching CPE(s)


Change History

3 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2014-3321
NVD Published Date:
07/17/2014
NVD Last Modified:
01/12/2017